# Live Inputs ## List live inputs `client.stream.liveInputs.list(LiveInputListParamsparams, RequestOptionsoptions?): LiveInputListResponse` **get** `/accounts/{account_id}/stream/live_inputs` Lists the live inputs created for an account. To get the credentials needed to stream to a specific live input, request a single live input. ### Parameters - `params: LiveInputListParams` - `account_id: string` Path param: Identifier. - `include_counts?: boolean` Query param: Includes the total number of videos associated with the submitted query parameters. ### Returns - `LiveInputListResponse` - `liveInputs?: Array` - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `uid?: string` A unique identifier for a live input. - `range?: number` The total number of remaining live inputs based on cursor position. - `total?: number` The total number of live inputs that match the provided filters. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const liveInputs = await client.stream.liveInputs.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(liveInputs.liveInputs); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "liveInputs": [ { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "uid": "66be4bf738797e01e1fca35a7bdecdcd" } ], "range": 1000, "total": 35586 } } ``` ## Retrieve a live input `client.stream.liveInputs.get(stringliveInputIdentifier, LiveInputGetParamsparams, RequestOptionsoptions?): LiveInput` **get** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}` Retrieves details of an existing live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: LiveInputGetParams` - `account_id: string` Identifier. ### Returns - `LiveInput` Details about a live input. - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `recording?: Recording` Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. - `rtmps?: Rtmps` Details for streaming to an live input using RTMPS. - `streamKey?: string` The secret key to use when streaming via RTMPS to a live input. - `url?: string` The RTMPS URL you provide to the broadcaster, which they stream live video to. - `rtmpsPlayback?: RtmpsPlayback` Details for playback from an live input using RTMPS. - `streamKey?: string` The secret key to use for playback via RTMPS. - `url?: string` The URL used to play live video over RTMPS. - `srt?: Srt` Details for streaming to a live input using SRT. - `passphrase?: string` The secret key to use when streaming via SRT to a live input. - `streamId?: string` The identifier of the live input to use when streaming via SRT. - `url?: string` The SRT URL you provide to the broadcaster, which they stream live video to. - `srtPlayback?: SrtPlayback` Details for playback from an live input using SRT. - `passphrase?: string` The secret key to use for playback via SRT. - `streamId?: string` The identifier of the live input to use for playback via SRT. - `url?: string` The URL used to play live video over SRT. - `status?: "connected" | "reconnected" | "reconnecting" | 5 more | null` The connection status of a live input. - `"connected"` - `"reconnected"` - `"reconnecting"` - `"client_disconnect"` - `"ttl_exceeded"` - `"failed_to_connect"` - `"failed_to_reconnect"` - `"new_configuration_accepted"` - `uid?: string` A unique identifier for a live input. - `webRTC?: WebRtc` Details for streaming to a live input using WebRTC. - `url?: string` The WebRTC URL you provide to the broadcaster, which they stream live video to. - `webRTCPlayback?: WebRtcPlayback` Details for playback from a live input using WebRTC. - `url?: string` The URL used to play live video over WebRTC. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const liveInput = await client.stream.liveInputs.get('66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(liveInput.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "recording": { "allowedOrigins": [ "example.com" ], "hideLiveViewerCount": false, "mode": "off", "requireSignedURLs": false, "timeoutSeconds": 0 }, "rtmps": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "rtmpsPlayback": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "srt": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "srt://live.cloudflare.com:778" }, "srtPlayback": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "rtmps://live.cloudflare.com:443/live/" }, "status": "connected", "uid": "66be4bf738797e01e1fca35a7bdecdcd", "webRTC": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/publish" }, "webRTCPlayback": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/play" } } } ``` ## Create a live input `client.stream.liveInputs.create(LiveInputCreateParamsparams, RequestOptionsoptions?): LiveInput` **post** `/accounts/{account_id}/stream/live_inputs` Creates a live input, and returns credentials that you or your users can use to stream live video to Cloudflare Stream. ### Parameters - `params: LiveInputCreateParams` - `account_id: string` Path param: Identifier. - `defaultCreator?: string` Body param: Sets the creator ID asssociated with this live input. - `deleteRecordingAfterDays?: number` Body param: Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Body param: Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` Body param: A user modifiable key-value store used to reference other systems of record for managing live inputs. - `recording?: Recording` Body param: Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. ### Returns - `LiveInput` Details about a live input. - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `recording?: Recording` Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. - `rtmps?: Rtmps` Details for streaming to an live input using RTMPS. - `streamKey?: string` The secret key to use when streaming via RTMPS to a live input. - `url?: string` The RTMPS URL you provide to the broadcaster, which they stream live video to. - `rtmpsPlayback?: RtmpsPlayback` Details for playback from an live input using RTMPS. - `streamKey?: string` The secret key to use for playback via RTMPS. - `url?: string` The URL used to play live video over RTMPS. - `srt?: Srt` Details for streaming to a live input using SRT. - `passphrase?: string` The secret key to use when streaming via SRT to a live input. - `streamId?: string` The identifier of the live input to use when streaming via SRT. - `url?: string` The SRT URL you provide to the broadcaster, which they stream live video to. - `srtPlayback?: SrtPlayback` Details for playback from an live input using SRT. - `passphrase?: string` The secret key to use for playback via SRT. - `streamId?: string` The identifier of the live input to use for playback via SRT. - `url?: string` The URL used to play live video over SRT. - `status?: "connected" | "reconnected" | "reconnecting" | 5 more | null` The connection status of a live input. - `"connected"` - `"reconnected"` - `"reconnecting"` - `"client_disconnect"` - `"ttl_exceeded"` - `"failed_to_connect"` - `"failed_to_reconnect"` - `"new_configuration_accepted"` - `uid?: string` A unique identifier for a live input. - `webRTC?: WebRtc` Details for streaming to a live input using WebRTC. - `url?: string` The WebRTC URL you provide to the broadcaster, which they stream live video to. - `webRTCPlayback?: WebRtcPlayback` Details for playback from a live input using WebRTC. - `url?: string` The URL used to play live video over WebRTC. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const liveInput = await client.stream.liveInputs.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(liveInput.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "recording": { "allowedOrigins": [ "example.com" ], "hideLiveViewerCount": false, "mode": "off", "requireSignedURLs": false, "timeoutSeconds": 0 }, "rtmps": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "rtmpsPlayback": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "srt": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "srt://live.cloudflare.com:778" }, "srtPlayback": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "rtmps://live.cloudflare.com:443/live/" }, "status": "connected", "uid": "66be4bf738797e01e1fca35a7bdecdcd", "webRTC": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/publish" }, "webRTCPlayback": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/play" } } } ``` ## Update a live input `client.stream.liveInputs.update(stringliveInputIdentifier, LiveInputUpdateParamsparams, RequestOptionsoptions?): LiveInput` **put** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}` Updates a specified live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: LiveInputUpdateParams` - `account_id: string` Path param: Identifier. - `defaultCreator?: string` Body param: Sets the creator ID asssociated with this live input. - `deleteRecordingAfterDays?: number` Body param: Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Body param: Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` Body param: A user modifiable key-value store used to reference other systems of record for managing live inputs. - `recording?: Recording` Body param: Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. ### Returns - `LiveInput` Details about a live input. - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `recording?: Recording` Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. - `rtmps?: Rtmps` Details for streaming to an live input using RTMPS. - `streamKey?: string` The secret key to use when streaming via RTMPS to a live input. - `url?: string` The RTMPS URL you provide to the broadcaster, which they stream live video to. - `rtmpsPlayback?: RtmpsPlayback` Details for playback from an live input using RTMPS. - `streamKey?: string` The secret key to use for playback via RTMPS. - `url?: string` The URL used to play live video over RTMPS. - `srt?: Srt` Details for streaming to a live input using SRT. - `passphrase?: string` The secret key to use when streaming via SRT to a live input. - `streamId?: string` The identifier of the live input to use when streaming via SRT. - `url?: string` The SRT URL you provide to the broadcaster, which they stream live video to. - `srtPlayback?: SrtPlayback` Details for playback from an live input using SRT. - `passphrase?: string` The secret key to use for playback via SRT. - `streamId?: string` The identifier of the live input to use for playback via SRT. - `url?: string` The URL used to play live video over SRT. - `status?: "connected" | "reconnected" | "reconnecting" | 5 more | null` The connection status of a live input. - `"connected"` - `"reconnected"` - `"reconnecting"` - `"client_disconnect"` - `"ttl_exceeded"` - `"failed_to_connect"` - `"failed_to_reconnect"` - `"new_configuration_accepted"` - `uid?: string` A unique identifier for a live input. - `webRTC?: WebRtc` Details for streaming to a live input using WebRTC. - `url?: string` The WebRTC URL you provide to the broadcaster, which they stream live video to. - `webRTCPlayback?: WebRtcPlayback` Details for playback from a live input using WebRTC. - `url?: string` The URL used to play live video over WebRTC. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const liveInput = await client.stream.liveInputs.update('66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(liveInput.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "recording": { "allowedOrigins": [ "example.com" ], "hideLiveViewerCount": false, "mode": "off", "requireSignedURLs": false, "timeoutSeconds": 0 }, "rtmps": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "rtmpsPlayback": { "streamKey": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "url": "rtmps://live.cloudflare.com:443/live/" }, "srt": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "srt://live.cloudflare.com:778" }, "srtPlayback": { "passphrase": "2fb3cb9f17e68a2568d6ebed8d5505eak3ceaf8c9b1f395e1b76b79332497cada", "streamId": "f256e6ea9341d51eea64c9454659e576", "url": "rtmps://live.cloudflare.com:443/live/" }, "status": "connected", "uid": "66be4bf738797e01e1fca35a7bdecdcd", "webRTC": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/publish" }, "webRTCPlayback": { "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/b236bde30eb07b9d01318940e5fc3edake34a3efb3896e18f2dc277ce6cc993ad/webRTC/play" } } } ``` ## Delete a live input `client.stream.liveInputs.delete(stringliveInputIdentifier, LiveInputDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}` Prevents a live input from being streamed to and makes the live input inaccessible to any future API calls. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: LiveInputDeleteParams` - `account_id: string` Identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.stream.liveInputs.delete('66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); ``` #### Response ```json {} ``` ## Domain Types ### Live Input - `LiveInput` Details about a live input. - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `recording?: Recording` Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied. - `allowedOrigins?: Array` Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use `*` for wildcard subdomains. An empty array allows videos to be viewed on any origin. - `hideLiveViewerCount?: boolean` Disables reporting the number of live viewers when this property is set to `true`. - `mode?: "off" | "automatic"` Specifies the recording behavior for the live input. Set this value to `off` to prevent a recording. Set the value to `automatic` to begin a recording and transition to on-demand after Stream Live stops receiving input. - `"off"` - `"automatic"` - `requireSignedURLs?: boolean` Indicates if a video using the live input has the `requireSignedURLs` property set. Also enforces access controls on any video recording of the livestream with the live input. - `timeoutSeconds?: number` Determines the amount of time a live input configured in `automatic` mode should wait before a recording transitions from live to on-demand. `0` is recommended for most use cases and indicates the platform default should be used. - `rtmps?: Rtmps` Details for streaming to an live input using RTMPS. - `streamKey?: string` The secret key to use when streaming via RTMPS to a live input. - `url?: string` The RTMPS URL you provide to the broadcaster, which they stream live video to. - `rtmpsPlayback?: RtmpsPlayback` Details for playback from an live input using RTMPS. - `streamKey?: string` The secret key to use for playback via RTMPS. - `url?: string` The URL used to play live video over RTMPS. - `srt?: Srt` Details for streaming to a live input using SRT. - `passphrase?: string` The secret key to use when streaming via SRT to a live input. - `streamId?: string` The identifier of the live input to use when streaming via SRT. - `url?: string` The SRT URL you provide to the broadcaster, which they stream live video to. - `srtPlayback?: SrtPlayback` Details for playback from an live input using SRT. - `passphrase?: string` The secret key to use for playback via SRT. - `streamId?: string` The identifier of the live input to use for playback via SRT. - `url?: string` The URL used to play live video over SRT. - `status?: "connected" | "reconnected" | "reconnecting" | 5 more | null` The connection status of a live input. - `"connected"` - `"reconnected"` - `"reconnecting"` - `"client_disconnect"` - `"ttl_exceeded"` - `"failed_to_connect"` - `"failed_to_reconnect"` - `"new_configuration_accepted"` - `uid?: string` A unique identifier for a live input. - `webRTC?: WebRtc` Details for streaming to a live input using WebRTC. - `url?: string` The WebRTC URL you provide to the broadcaster, which they stream live video to. - `webRTCPlayback?: WebRtcPlayback` Details for playback from a live input using WebRTC. - `url?: string` The URL used to play live video over WebRTC. ### Live Input List Response - `LiveInputListResponse` - `liveInputs?: Array` - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `uid?: string` A unique identifier for a live input. - `range?: number` The total number of remaining live inputs based on cursor position. - `total?: number` The total number of live inputs that match the provided filters. # Outputs ## List all outputs associated with a specified live input `client.stream.liveInputs.outputs.list(stringliveInputIdentifier, OutputListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs` Retrieves all outputs associated with a specified live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: OutputListParams` - `account_id: string` Identifier. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const output of client.stream.liveInputs.outputs.list( '66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, )) { console.log(output.uid); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } ] } ``` ## Create a new output, connected to a live input `client.stream.liveInputs.outputs.create(stringliveInputIdentifier, OutputCreateParamsparams, RequestOptionsoptions?): Output` **post** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs` Creates a new output that can be used to simulcast or restream live video to other RTMP or SRT destinations. Outputs are always linked to a specific live input — one live input can have many outputs. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: OutputCreateParams` - `account_id: string` Path param: Identifier. - `streamKey: string` Body param: The streamKey used to authenticate against an output's target. - `url: string` Body param: The URL an output uses to restream. - `enabled?: boolean` Body param: When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const output = await client.stream.liveInputs.outputs.create('66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', streamKey: 'uzya-f19y-g2g9-a2ee-51j2', url: 'rtmp://a.rtmp.youtube.com/live2', }); console.log(output.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } } ``` ## Update an output `client.stream.liveInputs.outputs.update(stringliveInputIdentifier, stringoutputIdentifier, OutputUpdateParamsparams, RequestOptionsoptions?): Output` **put** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs/{output_identifier}` Updates the state of an output. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `outputIdentifier: string` A unique identifier for the output. - `params: OutputUpdateParams` - `account_id: string` Path param: Identifier. - `enabled: boolean` Body param: When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const output = await client.stream.liveInputs.outputs.update( '66be4bf738797e01e1fca35a7bdecdcd', 'baea4d9c515887b80289d5c33cf01145', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true }, ); console.log(output.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } } ``` ## Delete an output `client.stream.liveInputs.outputs.delete(stringliveInputIdentifier, stringoutputIdentifier, OutputDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs/{output_identifier}` Deletes an output and removes it from the associated live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `outputIdentifier: string` A unique identifier for the output. - `params: OutputDeleteParams` - `account_id: string` Identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.stream.liveInputs.outputs.delete( '66be4bf738797e01e1fca35a7bdecdcd', 'baea4d9c515887b80289d5c33cf01145', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); ``` #### Response ```json {} ``` ## Domain Types ### Output - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream.